package com.pcloud.book.applet.dao;

import com.pcloud.book.applet.dto.AppletRecordDTO;
import com.pcloud.book.applet.dto.AppletUserBookcaseDTO;
import com.pcloud.book.applet.entity.AppletRecordServe;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;
import java.util.Map;

/**
 * (AppletRecordServe)表数据库访问层
 *
 * @author makejava
 * @since 2020-12-09 16:04:32
 */
public interface AppletRecordServeDao extends BaseDao<AppletRecordServe> {

    AppletRecordServe getByTypeAndServeId(Long wechatUserId, Integer recordType, Long fromId);

    Map<Long, AppletUserBookcaseDTO> getBookMap(List<AppletRecordDTO> appletRecordDTOS4Book);

    List<AppletRecordDTO> getAppletRecordCatalogue(Map<String, Object> paramMap);

    void batchUpdate(List<AppletRecordDTO> recordList);
}